<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class MakeModelUuidNullableOnFailedEventsTable extends Migration {
  /**
   * Run the migrations.
   *
   * @return void
   */
  public function up() {
    Schema::table('failed_events', function (Blueprint $table) {
      $table
        ->uuid('model_uuid')
        ->nullable()
        ->change();
    });
  }

  /**
   * Reverse the migrations.
   *
   * @return void
   */
  public function down() {
    Schema::table('failed_events', function (Blueprint $table) {
      $table
        ->uuid('model_uuid')
        ->nullable(false)
        ->change();
    });
  }
}
